#include <iostream>
#include<cmath>
#include<vector>
#include<string>

using namespace std;
# define ll long long int
void print_answer(vector<pair<int, int>> v, int depth, string s, ll sign, ll orig_sign) {
    if (depth >= v.size()) {
        s += "\n";
        if(sign == orig_sign)
            cout << s;
        return;
    }

    for (ll i = 0; i <= v[depth].second; i++) {
        string  p = s;
        for (ll j = 0; j < i; j++) {
            p +=  to_string(-v[depth].first) + " ";
        }
        for (ll j = i; j < v[depth].second; j++)
            p += to_string(v[depth].first) + " ";
        if (i % 2 == 0)
            print_answer(v, depth + 1, p, sign, orig_sign);
        else
            print_answer(v, depth + 1, p, -sign, orig_sign);
    }
}

int main() {
    ll n;
    cin >> n;
    ll k = abs(n);
    vector<pair<int, int>> v;
    ll i = 2;
    while (k > 1) {
        if (k % i == 0) {
            v.push_back({ i, 1 });
            k /= i;
            while (k % i == 0) {
                k /= i;
                v.back().second++;
            }
        }
        i++;
    }

    if (n > 0)
        print_answer(v, 0, "", 1, 1);
    else
        print_answer(v, 0, "", 1, -1);

}