// author : kratos0-f
#include <bits/stdc++.h>
#define ll long long
#define ull unsigned long long

using namespace std;

bool prime(ll n){
    if (n == 1){
        return false;
    } else {
        ll cnt = 0;
        for (ll i = 2; i < sqrt(n); i++){
            if (n%i == 0){
                cnt ++;
            }
        }
        if (cnt == 0) return true;
        return false;
    }
}

map<ll, ll> prime_factors(ll n){
    map<ll, ll> result;
    while (n != 1){
        if (prime(n)){
                result[n]++;
                break;
        }
        for (ll i = 2; i < sqrt(n); i++){
            if (n % i == 0){
                result[i]++;
                n = n/i;
                break;
            }
        }
    }
    return result;
}


bool check(vector<pair<ll, ll>> out, pair<ll, ll> p){
    for (auto i : out){
        if (i == p) return true;
    }
    return false;
}

int main(){
    cin.tie(NULL);
    ios_base::sync_with_stdio(false);

    ll n;
    cin >> n;

    map<ll, ll> factors = prime_factors(n);
    ll count_factors = 0;
    for (auto i : factors) count_factors += i.second;


    vector<ll> fact;
    for (auto i : factors){
        for (ll j = 0; j < i.second; j++){
            fact.push_back(i.first);
        }
    }


    vector<pair<ll, ll>> out;
    if (count_factors >= 2){
        for (ll i = 0; i < count_factors-1; i++){
            for (ll j = i+1; j < count_factors; j++){
                if (check(out, {fact[i], fact[j]})){
                    continue;
                } else {
                    out.push_back({fact[i], fact[j]});
                }
                for (ll k = 0; k < count_factors; k++){
                    if ((k == i || k == j) && (i != j)){
                        cout << (-1) * fact[k] << " ";
                    } else {
                        cout << fact[k] << " ";
                    }
                }
                cout << "\n";
            }
        }
    }
    for (auto i : fact)cout << i << " ";

    return 0;
}

