#pragma GCC optimise

#include <iostream>
#include <vector>
#include <set>
#include <map>
#include <queue>
#include <stack>
#include <iomanip>
#include <cmath>

using namespace std;
typedef long long ll;
typedef long double ld;

int main() {
    ios_base::sync_with_stdio(false);
    int n, k, m;
    cin >> n >> k >> m;
    vector<int> a(n);
    for (int i = 0; i < n; i++) {
        cin >> a[i];
    }
    multiset<int> s;
    for (int i = 0; i < k; i++) {
        s.insert(a[i]);
    }
    int mx = 0;
    for (int i = 0; i <= n - k; i++) {
        int l = 1;
        for (auto &j : s) {
            if (l == m) {
                mx = max(mx, j);
            }
            l++;
        }
        s.insert(a[i + k]);
        s.erase(a[i]);
    }
    int sum = -mx;
    for (int i = 0; i < n; i++) {
        if (a[i] > mx) {
            sum += a[i];
        }
    }
    cout << sum;
}