import math

number: int = int(input())
absNumber: int = int(math.sqrt(math.pow(number, 2)))
maxPrime: int = math.ceil(math.sqrt(absNumber))

primes = [2]
for i in range(maxPrime + 1) or [absNumber]:
    if i == 2 or i == 1 or i == 0:
        continue

    isPrime = True
    for prime in primes:
        if i % prime == 0:
            isPrime = False

    if isPrime:
        primes.append(i)

qPrimes = []
for prime in primes:
    qPrimes.append(prime)
    qPrimes.append(-prime)

primeFactorization = []
res: int = absNumber
for prime in primes:
    while res % prime == 0:
        primeFactorization.append(prime)
        res //= prime

isPositive = number >= 0
usedPairs = []
qPrimeFactorizations = []

for i in range(len(primeFactorization)):
    newFact = primeFactorization.copy()

    changedPair = [newFact[i]]
    newFact[i] = -newFact[i]

    if i - 1 >= 0:
        changedPair.append(newFact[i - 1])
        newFact[i - 1] = -newFact[i - 1]
    else:
        changedPair.append(newFact[len(primeFactorization) - 1])
        newFact[len(primeFactorization) - 1] = -newFact[len(primeFactorization) - 1]

    isUsed = False
    for p in usedPairs:
        if (p[0] == changedPair[0] and p[1] == changedPair[1]) or (p[0] == changedPair[1] and p[1] == changedPair[0]):
            isUsed = True

    if not isUsed:
        qPrimeFactorizations.append(newFact)
        usedPairs.append(changedPair)

qPrimeFactorizations.append(primeFactorization.copy())

if not isPositive:
    for i in range(len(qPrimeFactorizations)):
        for j in range(len(qPrimeFactorizations[i])):
            qPrimeFactorizations[i][j] = -qPrimeFactorizations[i][j]

for qPrimeFact in qPrimeFactorizations:
    string = ""
    for num in qPrimeFact:
        string += str(num)
        string += " "

    string.rstrip(' ')
    print(string)
