#include <iostream>
#include <vector>
#include <map>
#include <string>

using namespace std;
typedef long long ll;

bool check(ll x, vector <ll>& v, ll n, ll k, ll m) {
    for (int i = 0; i < n; i++) {
        if (v[i] <= x) v[i] = 0;
    }
    bool c = true;
    ll b = 0;
    for (int i = 0; i < k; i++) {
        if (v[i] == 0) b++;
    }
    if (b < m) c = false;
    for (int i = k; i < n; i++) {
        if (v[i - k] == 0) b--;
        if (v[i] == 0) b++;
        if (b < m) c = false;
    }
    return c;
}

int main() {
    // мне надо найти такое минимальное b, при котором выполняется условие что среди k подряд идущих не менее m пустых
    ll n, k, m;
    cin >> n >> k >> m;
    vector <ll> v(n);
    ll mx = 0;
    for (int i = 0; i < n; i++) {
        cin >> v[i];
        mx = max(mx, v[i]);
    }
    ll l = 0, r = mx + 1;
    vector <ll> t(n);
    while (r - l > 1) {
        t = v;
        ll mid = (r + l) / 2;
        if (check(mid, t, n, k , m)) {
            r = mid;
        } else {
            l = mid;
        }
    }
    // вывести ответ если b = r;
    // cout << r;
    ll ans = 0;
    for (int i = 0; i < n; i++) {
        if (v[i] > r) ans += v[i];
    }
    cout << ans - r;
}
