#include <iostream>
#include <vector>
#include <algorithm>
#include <stack>
#include <queue>
#include <set>
#include <string>
#include <utility>
#include <cmath>

#define pb push_back
#define mk make_pair

//using namespace std;

bool distAB(int x1, int y1, int x2, int y2, int a, int b)
{
    int dist = std::abs(x1 - x2) + std::abs(y1 - y2);
    return ((dist >= a) && (dist <= b));
}

int main()
{
    std::ios_base::sync_with_stdio(false);
    std::cin.tie(NULL);
    int n;
    std::cin >> n;
    int k = (n - 1) / 2;
    int a, b;
    std::cin >> a >> b;
    for (int i = 1; i <= n; ++i)
    {
        for (int j = 1; j <= n; ++j)
        {
            if (distAB(i, j, k + 1, k + 1, a, b))
                std::cout << '*';
            else
                std::cout << '.';
        }
        std::cout << std::endl;
    }
    return 0;
}