#include <iostream>
#include <vector>
#include <algorithm>
#include <stack>
#include <queue>
#include <set>
#include <string>
#include <utility>
#include <cmath>
#include <map>

using namespace std;

#define pb push_back
#define mk make_pair
using ll = long long;
using ull = unsigned long long;
using vi = vector<int>;
using vvi = vector<vi>;
using vb = vector<bool>;

int main()
{
    ios_base::sync_with_stdio(false);
    cin.tie(NULL);
    int n;
    cin >> n;
    map<string, ull> pairs;
    pairs.insert({ "GB", 0 });
    pairs.insert({ "BR", 0 });
    pairs.insert({ "RG", 0 });
    pairs.insert({ "BG", 0 });
    pairs.insert({ "RB", 0 });
    pairs.insert({ "GR", 0 });
    pairs.insert({ "GG", 0 });
    pairs.insert({ "BB", 0 });
    pairs.insert({ "RR", 0 });
    string s;
    string substr;
    for (int i = 0; i < n; ++i)
    {
        cin >> s;
        if (s.size() < 2)
            continue;
        for (int i = 0; i < s.size() - 1; ++i)
        {
            substr = s.substr(i, 2);
            ++pairs[substr];
        }
        substr.resize(2);
        substr[0] = s[0];
        substr[1] = s[s.size() - 1];
        ++pairs[substr];
    }
    set<pair<ull, string>> pr;
    pr.insert(mk(pairs["RB"] + pairs["BR"], "RB"));
    pr.insert(mk(pairs["RG"] + pairs["GR"], "GR"));
    pr.insert(mk(pairs["BG"] + pairs["GB"], "BG"));
    pr.insert(mk(pairs["RR"], "RR"));
    pr.insert(mk(pairs["BB"], "BB"));
    pr.insert(mk(pairs["GG"], "GG"));
    for (auto i : pr)
        if(i.first == prev(pr.end())->first)
            cout << i.second << endl;
    return 0;
}