#include <iostream>
#include <vector>

using namespace std;

vector<int> v;
bool test(int t, int k, int m)
{
    int num = 0;
    for(int i = 0; i < k; i++)
    {
        if(v[i] <= t) num++;
    }
    if(num < m) return false;
    for(int i = k; i < v.size(); i++)
    {
        if(v[i - k] <= t) num--;
        if(v[i] <= t) num++;
        if(num < m) return false;
    }
    return true;
}
int main()
{
    int n, k, m;
    cin >> n >> k >> m;

    int mx = 0;
    for(int i = 0; i < n; i++)
    {
        int l;
        cin >> l;
        v.push_back(l);
        mx = max(l, mx);
    }

    int left = 1, right = mx;
    if(test(left, k, m)) right = 1;
    else
    {
        while(left+1 < right)
        {
            int mid = (left+right)/2;

            if(test(mid, k, m))
            {
                right = mid;
            }
            else left = mid;
        }
    }

    long long sum = 0;
    for(int i = 0; i < n; i++)
    {
        if(v[i] > right) sum+=v[i];
    }
    cout << /*right << " " <<*/ sum - right;
}