#include <iostream>
#include <vector>
#include <string>
#include <algorithm>
#include <map>
#include <set>
#include <cmath>
#include <chrono>
using namespace std;

vector<pair<int,int>> prost(int n) {
    vector<pair<int,int>> ans;
    for (int i=2;i<=sqrt(n);i++) {
        int num = 0;
        while (n%i==0) {
            n/=i;
            num++;
        }
        if (num>0) {
            pair<int,int> p(i,num);
            ans.push_back(p);
        }
    }
    if (n!=1) {
        pair<int,int> p(n,1);
        ans.push_back(p);
    }
    return ans;
}

void recursion(int numofminuses,vector<pair<int,int>>& p,vector<int>& curr,set<vector<int>>& s,vector<vector<int>>& ans) {
    if (numofminuses==0) {
        for (int i=0;i<p.size();i++) {
            for (int j = 0;j<p[i].second;j++) {
                curr.push_back(p[i].first);
            }

        }
        sort(curr.begin(),  curr.end());
        if (s.find(curr)==s.end()) {
            ans.push_back(curr);
            s.insert(curr);
        }
        return;
    }
    for (int i=0;i<p.size();i++) {
        if (p[i].second>0) {
            vector<int> extra(curr);
            curr.push_back(-p[i].first);
            p[i].second-=1;
            recursion(numofminuses-1,p,curr,s,ans);
            p[i].second+=1;
            curr = extra;
        }
    }
}

int main() {
    ios::sync_with_stdio(0);
    int n,k,m;
    cin>>n>>k>>m;
    vector<int> a;
    int r = 0;
    for (int i=0;i<n;i++) {
        int x;
        cin >>x;
        a.push_back(x);
        if (x>r) {
            r = x;
        }
    }

    int l = 0;
    while (l<=r) {
        int h = (l+r)/2;
        int count = 0;
        bool d = true;
        for (int i=0;i<n;i++) {
            if (i-k+1<0) {
                if (a[i]<=h) {
                    count+=1;
                }
            } else if (i-k+1==0){
                if (a[i]<=h) {
                    count+=1;
                }
                if (count<m) {
                    d= false;
                    break;
                }
            } else {
                if (a[i]<=h) {
                    count+=1;
                }
                if (a[i-k]<=h) {
                    count-=1;
                }
                if (count<m) {
                    d= false;
                    break;
                }
            }
        }
        if (d) {
            r = h - 1;
        } else {
            l = h+1;
        }

    }
    int ans = 0;
    for (int i=0;i<n;i++) {
        if(a[i]>l) {
            ans+=a[i];
        }
    }
    cout<<ans-l;


}