﻿#define _CRT_SECURE_NO_WARNINGS
#include <algorithm>
#include <bitset>
#include <cstring>
#include <cstdio>
#include <cmath>
#include <cctype>
#include <cassert>
#include <climits>
#include <ctime>
#include <iostream>
#include <iomanip>
#include <functional>
#include <map>
#include <string>
#include <queue>
#include <stack>
#include <set>
#include <unordered_set>
#include <unordered_map>
#include <vector>
#include <array>
#include <random>

//#pragma GCC optimize("Ofast")
//#pragma GCC target("avx,avx2,fma")
//#pragma GCC optimization ("O3")
//#pragma GCC optimization ("unroll-loops")
using namespace std;

#define all(x) x.begin(), x.end()
#define int long long

template <class T>
istream& operator >>(istream& in, vector<T>& arr) {
	for (T& cnt : arr) {
		in >> cnt;
	}
	return in;
}

const int INF = 1e18;

map<vector<int>, int> mp;

void gen(int num, vector<int>& div, int minus = 0, int ind = 0, vector<int> a = {}) {
	if (num - minus > int(div.size()) - ind) return;
	if (ind == div.size()) {
		vector<int> sorted = a;
		sort(all(sorted));
		if (mp[sorted]) return;
		mp[sorted]++;
		if (minus == num) {
			for (auto i : a) cout << i << ' ';
			cout << '\n';
			return;
		}
	}
	a.push_back(div[ind]);
	gen(num, div, minus, ind + 1, a);
	a.pop_back();
	if (minus < num) {
		a.push_back(-div[ind]);
		gen(num, div, minus + 1, ind + 1, a);
		a.pop_back();
	}
}

void solve() {
	int n; cin >> n;
	vector<int> div;
	for (int i = 2; i * i <= n; i++) {
		while (n % i == 0) {
			div.push_back(i);
			n /= i;
		}
	}
	if (n > 1) div.push_back(n);
	for (int i = 0; i < div.size(); i += 2) {
		gen(i, div);
	}
}

signed main() {
	ios_base::sync_with_stdio(false);
	cin.tie(0); cout.tie(0);
	//freopen("power.in", "r", stdin);
	//freopen("power.out", "w", stdout);
	int _t = 1; //cin >> _t;
	while (_t--) {
		solve();
		//gen();
	}

}