﻿#define _CRT_SECURE_NO_WARNINGS
#include <algorithm>
#include <bitset>
#include <cstring>
#include <cstdio>
#include <cmath>
#include <cctype>
#include <cassert>
#include <climits>
#include <ctime>
#include <iostream>
#include <iomanip>
#include <functional>
#include <map>
#include <string>
#include <queue>
#include <stack>
#include <set>
#include <unordered_set>
#include <unordered_map>
#include <vector>
#include <array>
#include <random>

//#pragma GCC optimize("Ofast")
//#pragma GCC target("avx,avx2,fma")
//#pragma GCC optimization ("O3")
//#pragma GCC optimization ("unroll-loops")
using namespace std;

#define all(x) x.begin(), x.end()
#define int long long

template <class T>
istream& operator >>(istream& in, vector<T>& arr) {
	for (T& cnt : arr) {
		in >> cnt;
	}
	return in;
}

const int INF = 1e18;

int n, k, m;
vector<int> a, b;

void fill(vector<int>& new_a, int m) {
	for (int i = 0; i < n; i++) {
		if (a[i] <= b[m]) new_a[i] = 0;
		else new_a[i] = a[i];
	}
}

pair<bool, int> check(vector<int> a) {
	int cnt = 0, sum = 0;
	for (int i = 0; i < k; i++) {
		if (a[i]) cnt++;
	}
	if (cnt > m) return { false, 0 };
	for (int i = k; i < n; i++) {
		if (a[i - k]) cnt--;
		if (a[i]) cnt++;
		if (cnt > m) return { false, 0 };
	}
	for (int i = 0; i < n; i++) sum += a[i];
	return { true, sum };
}

int find_first_ind() {
	int l = 0, r = n;
	while (r - l > 1) {
		int m = (l + r) / 2;
		vector<int> new_a(n);
		fill(new_a, m);
		if (!check(new_a).first) l = m;
		else r = m;
	}
	return l;
}

void solve() {
	cin >> n >> k >> m;
	a.resize(n);  cin >> a;
	b = a;
	sort(all(b));
	int ans = -INF;
	int l = find_first_ind(), r = n;
	while (r - l > 1) {
		if (r - l == 2) break;
		int m1 = r - (r - l) / 3;
		int m2 = l + (r - l) / 3;
		vector<int> new_a1(n), new_a2(n);
		fill(new_a1, m1);
		fill(new_a2, m2);
		int sum1 = check(new_a1).second - b[m1];
		int sum2 = check(new_a2).second - b[m2];
		if (sum1 > sum2) l = m1;
		else r = m2;
	}
	vector<int> new_a1(n), new_a2(n);
	fill(new_a1, l), fill(new_a2, l + 1);
	int sum1 = check(new_a1).second - b[l];
	int sum2 = check(new_a2).second - b[l + 1];
	ans = max(sum1, sum2);
	cout << ans;
}

signed main() {
	ios_base::sync_with_stdio(false);
	cin.tie(0); cout.tie(0);
	//freopen("power.in", "r", stdin);
	//freopen("power.out", "w", stdout);
	int _t = 1; //cin >> _t;
	while (_t--) {
		solve();
		//gen();
	}

}