#include <iostream>
#include <algorithm>
#include <vector>
using namespace std;

int main() {
    int count, k, empty_count;
    cin >> count >> k >> empty_count;

    vector<int> nums(count);
    int total_sum = 0;
    for (int i = 0; i < count; i++) {
        int num; cin >> num;
        nums[i] = num;
        total_sum += num;
    }

    int min_money = 0;
    for (int i = k; i < count; i++) {
        vector<int> a;

        for (int j = i - k; j  < i; j++) {
            a.push_back(nums[j]);
        }
        sort(a.begin(), a.end());

        int cur_min = a[k - empty_count];
        if (cur_min > min_money) {
            min_money = cur_min;
        }
    }

    for (int i = 0; i < count; i++) {
        int num = nums[i];
        if (num <= min_money) {
            total_sum -= num;
        }
    }

    cout << total_sum - min_money;

}


/*
8 4 2
3 7 4 1 5 9 2 6

5 2 1
2 2 2 2 2
*/
