import itertools

N = int(input())
known = set()


def factorize(n):
    variants = []
    prime = 2
    while prime * prime <= n:
        while n % prime == 0:
            variants.append(prime)
            n = n // prime
        prime += 1
    if abs(n) > 1:
        variants.append(n)
    return variants


pos_factorized = factorize(abs(N))

if N < 0:
    pos_factorized = [-e for e in pos_factorized]

if pos_factorized:
    print(*pos_factorized)

    was = []
    for idd in range(2, len(pos_factorized), 2):
        for pair in itertools.combinations([idx for idx in range(len(pos_factorized))], idd):
            new_pair = [-e if i in pair else e for i, e in enumerate(pos_factorized)]
            if set(new_pair) not in was:
                was.append(set(new_pair))
                print(*new_pair)
