#include <iostream>
#include <algorithm>
#include <cmath>
#include <vector>
#include <map>
#include <set>
#include <iomanip>
#include <string>
using namespace std;
#define int long long
#define debug(x) cout << #x << " is " << x << '\n';

vector <pair <int, int>> dels;
int need = 0;

void rec(int i, int cur, vector <int> &res){
  if (i == dels.size()){
    if (cur != need) return;
    for (auto &x: res) cout << x << ' ';
    cout << '\n';
    return;
  }
  for (int j = 0; j <= dels[i].second; ++j){
    for (int k = 0; k < j; ++k){
      res.push_back(-dels[i].first);
    }
    for (int k = j; k < dels[i].second; ++k){
      res.push_back(dels[i].first);
    }
    rec(i + 1, cur ^ (j & 1), res);
    for (int k = 0; k < dels[i].second; ++k){
      res.pop_back();
    }
  }
}

signed main() {
  ios_base::sync_with_stdio(0);
  cin.tie(0);
  cout << fixed << setprecision(6);
  int n; cin >> n;
  if (n < 0){
    need ^= 1;
    n = -n;
  }
  for (int i = 2; i * i <= n; ++i){
    if (n % i == 0){
      dels.push_back({i, 0});
      while (n % i == 0){
        n /= i;
        dels.back().second++;
      }
    }
  }
  if (n != 1) {
    dels.push_back({n, 1});
  }
  vector <int> ok = {};
  rec(0, 0, ok);
} 