﻿#include <algorithm>
#include <iostream>
#include <map>
#include <set>
#include <string>
#include <vector>

#define int long long
#define fastio ios_base::sync_with_stdio(0); cin.tie(0); cout.tie(0)

using namespace std;

set<vector<int>> q;

void f(int cur, int idx, vector<int> v) {
	if (cur == 0) {
		sort(v.begin(), v.end());
		if (!q.count(v)) {
			for (auto i : v)
				cout << i << " ";
			cout << '\n';
		}
		q.insert(v);
		return;
	}
	if (idx == v.size())
		return;
	f(cur, idx + 1, v);
	v[idx] *= -1;
	f(cur - 1, idx + 1, v);
}

vector<int> v;

signed main() {
	fastio;
	int n;
	cin >> n;
	for (int i = 2; n != 1 && i < 4e5; ++i) {
		while (n % i == 0) {
			n /= i;
			v.push_back(i);
		}
	}
	if (v.size() <= 1) {
		cout << n;
		return 0;
	}
	int i;
	if (n < 0)
		i = 1;
	else
		i = 0;
	for (i; i < v.size(); i += 2)
		f(i, 0, v);
}