from math import floor, sqrt

def is_prime(n):
	if abs(n) == 1:
		return False
	if 1 < abs(n) < 4:
		return True
	if n % 2 == 0:
		return False
	for d in range(3, floor(sqrt(abs(n))) + 1, 2):
		if n % d == 0:
			return False
	return True

def find_prime_dividers(n, dividers):
	for d in range(2, floor(sqrt(abs(n))) + 1):
		if is_prime(d) and n % d == 0:
			dividers.append(d)
			return find_prime_dividers(int(n/d), dividers)
	return dividers + [n]

n = int(input())

dividers = find_prime_dividers(n, [])

print(*dividers)
for i in range(len(dividers) - 1):
	divs = dividers
	divs[i] = -divs[i]
	divs[i+1] = -divs[i+1]
	print(*divs)