﻿using System;
using System.Collections.Generic;
using System.Linq;

namespace task_D
{
    class Program
    {
        static void Main(string[] args)
        {
            int n = Convert.ToInt32(Console.ReadLine());
            Dictionary<string, int> dict = new Dictionary<string, int>();

            for (int i = 0; i < n; i++)
            {
                string input = Console.ReadLine();

                for (int j = 0; j < input.Length; j++)
                {
                    char current_char = input[j];
                    // рассчитаем некст значение
                    char next_char;
                    if (current_char == input.ToCharArray().Last())
                        next_char = input[0];
                    else
                        next_char = input[j + 1];

                    // записываем наше значение в словарь
                    List<string> list = new List<string> { current_char.ToString(), next_char.ToString() };
                    list.Sort();
                    string value = String.Join("", list);

                    if (!dict.ContainsKey(value))
                        dict[value] = 1;
                    else
                        dict[value]++;
                }
            }
            
            // сортируем
            dict = dict.OrderBy(pair => pair.Value).ToDictionary(pair => pair.Key, pair => pair.Value);

            // выводим на экран
            int max_value = 0;
            List<string> answer = new List<string>();
            foreach (var item in dict.Reverse())
            {
                // Console.WriteLine($"{item.Key} {item.Value}");
                if ((max_value == 0) || (item.Value == max_value))
                {
                    answer.Add(item.Key);
                    max_value = item.Value;
                }
                else
                    break;
            }
            answer.Reverse();
            foreach (string key in answer)
                Console.WriteLine(key);
        }
    }
}
