#if 1
#include <iostream>
#include <map>
#include <string>
#include <algorithm>
using namespace std;

typedef long long ll;

struct ch2
{
	char a[2];
	const bool operator< (const ch2& b) const
	{
		if (a[0] != b.a[0])
			return a[0] > b.a[0];
		return a[1] > b.a[1];
	}
};

int main()
{
	ios::sync_with_stdio(false); cout.tie(0); cin.tie(0);
	int n; cin >> n;
	string s;
	map<ch2, int> arr;
	for (int i = 0; i < n; ++i)
	{
		cin >> s;
		const int size = s.size();
		for (int i = 0; i < size; ++i)
		{
			if (s[i] < s[(i + 1) % size])
				arr[{s[i], s[(i + 1) % size]}]++;
			else
				arr[{s[(i + 1) % size], s[i]}]++;
		}
	}
	int ma = arr.begin()->second;
	for (auto& e : arr)
		ma = max(ma, e.second);

	for (auto& e : arr)
		if (e.second == ma) cout << e.first.a[0] << e.first.a[1] << '\n';
	return 0;
}
#endif // 0
