#include <iostream>
#include <algorithm>
#include <cmath>
#include <vector>
#include <string>
#include <map>

using namespace std;

vector<int> d;

void f(int n)
{
    int i = 2;
    while (i <= n)
    {
        if (n % i == 0)
        {
            d.push_back(i);
            f(n / i);
            return;
        }
        i++;
    }
}

void print(vector<int> d)
{
    for (auto r : d)
        cout << r << ' ';
    cout << endl;
}

int main()
{
    int n, k, m;


    cin >> n >> k >> m;

    vector<int> v(n);

    for (int i = 0; i < n; i++)
    {
        cin >> v[i];
    }

    int max = -1;
    for (int i = 0; i < n; i++)
    {
        vector<int> p(k);

        for (int j = 0; j < k; j++)
            p[j] = v[i + j];

        sort(p.begin(), p.end());

        if (p[m - 1] > max)
            max = p[m - 1];
    }

    for (auto& r : v)
        if (r <= max)
            r = 0;

    int sum = 0;

    for (auto r : v)
        if (r > 0)
            sum += r;

    cout << sum;

    return 0;
}