#include <iostream>
#include <vector>
#include <string>
#include <cmath>
#include <cstdlib>
#include <set>
#include <map>
#include <queue>
#include <algorithm>

#define rev(i, n) for (int i = 0; i < n; ++i)
#define forn(n) for (int i = 0; i < n; ++i)
#define X first
#define Y second
#define mp make_pair

typedef long long ll;
typedef long double ld;

using namespace std;

bool check(vector<int> &a, ll b, ll s, int k, int m) {
	int n = a.size();
	int cnt = 0;
	forn(n) {
		cnt += (a[i] <= b);
		if (i >= k && cnt < m) return false;
		if (i >= k - 1) cnt -= (a[i - k + 1] <= b);
	}
	if (k == n && cnt < m) return false;
	return true;
}

int main() {
	ios_base::sync_with_stdio(0);
	//	cin.tie(0);
	int n, k, m; cin >> n >> k >> m;
	vector<int> a(n);
	ll s = 0;
	forn(n) cin >> a[i], s += a[i];
	ll r = 1e9, l = 0, M;
	while (r - l > 1) {
		M = (r + l) / 2;
		if (check(a, M, s, k, m)) r = M;
		else l = M;
	}
	ll res = 0;
	forn(n) res += a[i] * (a[i] > r);
	cout << res - r << endl;
	return 0;
}