#include <iostream>
#include <vector>

using namespace std;


vector<int> ert(int n)
{
	vector<int> v(0);
	int k = n;
	int p = 2;
	while (p * p <= k)
	{
		if (k % p == 0)
		{
			v.push_back(p);
			k /= p;
		}
		else
			p++;
	}
	v.push_back(k);
	return v;
}

void print(vector<int> e, int s, int j, int res, vector<int> ans, int l)
{
	if (j == l)
	{
		for (int i = 0; i < l; i++)
			cout << ans[i] << ' ';
		cout << '\n';
		return;
	}
	if (j != l - 1)
	{
		ans.push_back(e[j]);
		j++;
		print(e, s, j, res, ans, l);
		ans.pop_back();
		j--;

		ans.push_back(-e[j]);
		j++;
		s = (s + 1) % 2;
		print(e, s, j, res, ans, l);
		ans.pop_back();
		j--;
	}
	else
	{
		if (s == res)
		{
			ans.push_back(e[j]);
			j++;
			print(e, s, j, res, ans, l);
			ans.pop_back();
			j--;
		}
		else
		{
			ans.push_back(-e[j]);
			s = (s + 1) % 2;
			j++;
			print(e, s, j, res, ans, l);
			ans.pop_back();
			j--;
		}
	}
}

int main()
{
	int n;
	cin >> n;
	vector<int> e(0);
	vector<int> a(0);
	if (n > 0)
	{
		e = ert(n);
		print(e, 0, 0, 0, a, e.size());
	}
	else
	{
		e = ert(-n);
		print(e, 0, 0, 1, a, e.size());
	}
}