#include <bits/stdc++.h>
using namespace std;

#define forn(i, j, n, k) for (int i = j; i < (int)(n); i += (k))
#define rep(i, n) forn(i, 0, n, 1)
#define all(a) a.begin(), a.end()
#define rall(a) a.rbegin(), a.rend()
#define sz(a) a.size()
#define pb push_back
#define mp make_pair
#define fi first
#define se second
#define mod(a, b) (((b) + ((a) % (b))) % (b))


typedef long long ll;
typedef long double ld;
typedef unsigned long long ull;

const int MOD = (int)1e9 + 7;
const string da = "YES\n", net = "NO\n";
const int INF = (int)1e9;
const ll INFL = (ll)1e18;

template <typename T>
void print(const vector<T>& a){
    for (auto &x: a) cout << x << " ";
    cout << "\n";
}
template <typename U>
void print_queue(priority_queue<U, vector<U>, greater<U>> b){
    while (!b.empty()){
        cout << b.top() << " ";
        b.pop();
    }
    cout << "\n";
}

int n;
int a, b;

void solve(){
    vector<vector<char>> s(n, vector<char>(n, '.'));
    int k = (n - 1) / 2;
    for (int i = 0; i < n; i++){
        for (int j = 0; j < n; j++){
            int x = j + 1;
            int y = i + 1;
            int d = abs(x - k - 1) + abs(y - k - 1);
            if (d >= a && d <= b){
                s[i][j] = '*';
            }
        }
    }
    for (int i = 0; i < n; i++){
        for (int j = 0; j < n; j++){
            cout << s[i][j];
        }
        cout << "\n";
    }
}

void load(){
    cin >> n;
    cin >> a >> b;
}

int main(){
    ios_base::sync_with_stdio(0);
    cout.tie(0);
    cin.tie(0);
    cout << fixed << setprecision(10);
    int zz = 1;
    //cin >> zz;
    for (int z = 1; z <= zz; z++){
        //cout << "test " << z << endl;
        load();
        solve();
    }
    return 0;  
}   