#include <iostream>
#include <vector>
#include "algorithm"
#include "utility"
#include <chrono>
#include <random>
#include <cmath>
#include <set>
#include <map>
#include <cstdio>
#include <string>
#include <queue>
#include <stack>
#include "fstream"


using namespace std;

typedef long long ll;
typedef double lf;
typedef long double llf;

#define pb(x) push_back(x)
#define mp(x,y) make_pair(x,y)
#define all(x) x.begin(), x.end()
#define fi first
#define se second

mt19937_64 rng(chrono::steady_clock::now().time_since_epoch().count());

const int int_inf = 2*1e9;
const ll ll_inf = 4*1e18;
const lf lf_inf = 2*1e9;
const llf llf_inf = 4*1e18;
const ll ll_zero = 0;

const llf eps = 1e-9;
const ll mod = 1e9+7;

const string yes = "YES";
const string no = "NO";

unsigned long long myRand(unsigned long long B){
    return rng() % B;
}


void solve() {
    int n,a,b;
    cin>>n>>a>>b;
    int mid = (n-1)/2 +1;

    vector<vector<char>> romb(n+1, vector<char>(n+1,'.'));
    for (int i = 1; i <= n; ++i) {
        for (int j = 1; j <= n; ++j) {
            int rast = abs(i - mid) + abs(j - mid);
            if (a <= rast && rast <= b){
                romb[i][j] = '*';
            }
        }
    }
    for (int i = 1; i <= n; ++i) {
        for (int j = 1; j <= n; ++j) {
            cout<<romb[i][j];
        }
        cout<<"\n";
    }
}

int main(){
    ios_base::sync_with_stdio(0);
    cin.tie(0);
    cout.tie(0);
    cout.setf(ios::fixed);
    cout.precision(12);


    int t = 1;
    //cin>>t;

    for (int i = 0; i < t; ++i) {
        solve();
        cout<<'\n';
    }


    return 0;
}