#include <iostream>
#include <vector>
#include <algorithm>
#include <queue>
#include <cmath>
#include <set>
#include <stack>
#include <bitset>
#include <map>
#include <ctime>
#include <numeric>
#include <random>
#include <cassert>
#include <cstring>
 
//#define int long long
#define uint unsigned long long
#define double long double
#define INF (int) 1e18 / 2

using namespace std;
 
mt19937 rnd(1337);

int n;
map<int, int> cnt;
vector<pair<int, int>> res;

void dfs(int i, int cnt, vector<pair<int, int>> &d) {
    if (i == d.size()) {
        if (n < 0 && cnt & 1) {
            // cout << cnt << 'b' << '\n';
            for (auto[v, k] : res) {
                for (int j = 0; j < k; j++) cout << v << " ";
            }
            cout<< '\n';
        } else if (n > 0 && cnt % 2 == 0) {
            for (auto[v, k] : res) {
                for (int j = 0; j < k; j++) cout << v << " ";
            }
            cout<< '\n';
        }
        return;
    }
    auto[v, k] = d[i];
    for (int j = 0; j <= k; j++) {
        res.push_back({-v, j});
        res.push_back({v, k - j});
        // cout << i << " " << cnt << " " << j << " " << k << '\n';
        dfs(i + 1, cnt + j, d);
        res.pop_back();
        res.pop_back();
    }
}

void solve() {
	cin >> n;
	for (int i = 2; i * i <= abs(n); i++) {
	    while (n % i == 0) {
	        n /= i;
	        cnt[i]++;
	    }
	}
	if (abs(n) != 1) cnt[abs(n)]++;
	vector<pair<int, int>> d;
	for (auto[i, j] : cnt) d.push_back({i, j});
// 	for (auto[i, j] : d) cout << i << " " << j << '\n';
	dfs(0, 0, d);
}
 
int32_t main() {
	solve();
}