#include <iostream>
#include <string>
#include <map>

using namespace std;


int count(string str, string sub){
    int res = 0;
    for (int i = 0; i <= str.size() - sub.size(); i ++){
        if (str.substr(i, sub.size()) == sub){
            res ++;
        }
    }
    return res;
}


string rev(string str){
    string res;
    for (int i = str.size() - 1; i > -1; i --){
        res += str[i];
    }
    return res;
}


int main(){
    int n;
    cin >> n;
    map<string, int> sequences;
    for (auto seq: {"RR", "RB", "RG", "BB", "BG", "GG"}){
        sequences[seq] = 0;
    }
    for (int i = 0; i < n; i ++){
        string s;
        cin >> s;
        s += s[0];
        for (auto key: sequences){
            sequences[key.first] += count(s, key.first);
            if (key.first[0] != key.first[1]){
                sequences[key.first] += count(s, rev(key.first));
            }
        }
    }
    int ans = 0;
    for (auto v: sequences){
        if (v.second > ans){
            ans = v.second;
        }
    }
    for (auto v: sequences){
        if (v.second == ans){
            cout << v.first << "\n";
        }
    }
}
