package me.mrh1tech.olimp;

import java.util.Arrays;
import java.util.Scanner;

public class Solution {

    public static void main(String[] args) {
        Scanner console = new Scanner(System.in);
        int n = console.nextInt(), k = console.nextInt(), m = console.nextInt();
        int[] coins = new int[n];

        for (int i = 0; i < n; i++) {
            coins[i] = console.nextInt();
        }

        int max = Integer.MIN_VALUE;

        for (int b = Arrays.stream(coins).min().orElse(0); b <= Arrays.stream(coins).max().orElse(0); b++) {
            int[] copyCoins = coins.clone();

            for (int i = 0; i < copyCoins.length; i++) {
                if (copyCoins[i] <= b)
                    copyCoins[i] = 0;
            }

            boolean isEmptyTrue = false;

            for (int i = 0, emptyAmount = 0; i < n; i++) {
                if (copyCoins[i] == 0)
                    emptyAmount++;
                else
                    emptyAmount = 0;

                if (emptyAmount >= m) {
                    isEmptyTrue = true;
                    break;
                }
            }

            if (isEmptyTrue) {
                int sum = Arrays.stream(copyCoins).sum() - b;
                if (sum > max)
                    max = sum;
            }
        }

        System.out.println(max);

    }

}
