#include <iostream>
#include <vector>
#include <algorithm>
#include <math.h>
#include <cmath>
#include <set>
#include <map>
#include <iomanip>
#include <string>
typedef long long ll;
typedef unsigned long long ull;
using namespace std;

vector<ll> prime(ll n) {
	vector<bool> v(n + 1, true);
	v[0] = false;
	v[1] = false;
	for (int i = 4; i * i <= n; i += 2) {
		v[i] = false;
	}
	for (int i = 3; i * i <= n; i += 2) {
		if (v[i]) {
			for (int j = i * i; j <= n; j += i) {
				v[j] = false;
			}
		}
	}
	vector<ll> ans;
	if (n >= 2) ans.push_back(2);
	for (int i = 3; i * i <= n; i += 2) {
		if (v[i]) ans.push_back(i);
	}
	return ans;
}

void rec(vector<pair<ll, ll>>& v, vector<ll>& now, int k, int x, int ind) {
	if (ind == v.size()) {
		if (x <= k && x % 2 == k % 2) {
			for (int i = 0; i < v.size(); i++) {
				for (int j = 0; j < now[i]; j++) {
					cout << -v[i].first << " ";
				}
				for (int j = now[i]; j < v[i].second; j++) {
					cout << v[i].first << " ";
				}
			}
			cout << endl;
		}
		return;
	}

	for (int i = 0; i <= v[ind].second; i++) {
		now[ind] = i;
		rec(v, now, k, x + i, ind + 1);
	}
}

int main() {
	cin.tie(0);
	cout.tie(0);
	ios_base::sync_with_stdio(0);
	ll n;
	cin >> n;
	bool sign = (n < 0);
	n = abs(n);
	vector<ll> d = prime(n);
	vector<pair<ll, ll>> v;
	int i = 0;
	while (n > 1) {
		if (n % d[i] == 0) v.push_back({ d[i], 0 });
		while (n % d[i] == 0) {
			n /= d[i];
			v.back().second++;
		}
		i++;
	}
	vector<ll> now(v.size(), 0);
	int k = v.size() - (v.size() % 2 == 0 ? 0 : 1) + (sign ? 1 : 0);
	rec(v, now, k, 0, 0);
}