def factorization(n):
    d = 2
    factors = dict()
    while d < int(n ** 0.5) + 1:
        if n % d == 0:
            factors[d] = 0
        while n % d == 0:
            factors[d] += 1
            n //= d
        d += 1
    if n > 1:
        factors[n] = factors.get(n, 0) + 1
    return factors


def print_fact(n, s, count):
    if n == -1:
        if count % 2 == 0:
            print(s)
        return
    mmax = factors.get(list_factors[n], 0)
    for i in range(mmax + 1):
        print_fact(n - 1, s + f"-{list_factors[n]} " * i + f"{list_factors[n]} " * (mmax - i), (count + i) % 2)


n = int(input())
count = 0
if n < 0:
    n = -n
    count = 1

factors = factorization(n)
list_factors = list(factors)

x = len(list_factors) -1
for j in range(factors[list_factors[x]] + 1):
    print_fact(x - 1, (f"-{list_factors[x]} " * j + f"{list_factors[x]} " * (factors[list_factors[x]] - j)), (count + j) % 2)
