#include <iostream>
#include <iomanip>
#include <string>
#include <set>
#include <queue>
#include <map>
#include <vector>
#include <climits>
#include <algorithm>
#include <cmath>

using namespace std;
void printpair(pair<int, int> a)
{
    int x = a.first;
    int y = a.second;
    if (x == 1)
        cout << "R";
    if (x == 2)
        cout << "G";
    if (x == 3)
        cout << "B";

    if (y == 1)
        cout << "R";
    if (y == 2)
        cout << "G";
    if (y == 3)
        cout << "B";
    cout << endl;
}
int main()
{
    bool ffffff = true;
#ifdef LOCAL
    freopen("input.txt", "r", stdin);
    freopen("output.txt", "w", stdout);
    ffffff = false;
#endif
    if (ffffff)
    {
        ios::sync_with_stdio(0);
        cin.tie(0);
    }

    int n;
    cin >> n;
    int n1 = n;
    vector<int> frac;
    for (int i = 2; i * i <= n1; i++)
    {
        while (n % i == 0)
        {
            frac.push_back(i);
            n /= i;
        }
    }

    if (n != 1)
        frac.push_back(n);
    // for (int i : frac)
    //     cout << i << " ";
    // cout << endl;
    if (frac.size() == 1)
    {
        cout << frac[0] << endl;
        cout << -frac[0] << endl;
    }
    else if (frac.size() == 2)
    {
        if (frac[0] != frac[1])
        {
            cout << frac[0] << " " << frac[1] << endl;
            cout << -frac[0] << " " << frac[1] << endl;
            cout << -frac[0] << " " << -frac[1] << endl;
        }
        else
        {
            cout << frac[0] << " " << frac[1] << endl;
            cout << -frac[0] << " " << -frac[1] << endl;
        }
    }
    if (frac.size() == 3)
    {
        cout << frac[0] << " " << frac[1] << " " << frac[2] << endl;
        if (frac[0] == frac[1] && frac[1] == frac[2])
        {
            cout << -frac[0] << " " << -frac[1] << " " << frac[2] << endl;
        }
        if (frac[0] == frac[1] && frac[1] != frac[2])
        {
            cout << -frac[0] << " " << -frac[1] << " " << frac[2] << endl;
            cout << -frac[0] << " " << frac[1] << " " << -frac[2] << endl;
        }
        if (frac[0] != frac[1] && frac[1] != frac[2])
        {
            cout << -frac[0] << " " << -frac[1] << " " << frac[2] << endl;
            cout << -frac[0] << " " << frac[1] << " " << -frac[2] << endl;
            cout << frac[0] << " " << -frac[1] << " " << -frac[2] << endl;
        }
    }

    return 0;
}