import math
import itertools


def primes(n):
    a = []
    if n < 0:
        a.append(-1)
        n = -n
    else:
        a.append(1)
    rng = range(2, int(math.sqrt(n)) + 1)
    mask = [True for i in rng]
    for i in range(len(rng)):
        for j in range(i + rng[i], len(rng), rng[i]):
            mask[j] = False
    for i in range(len(rng)):
        if mask[i]:
            while n % rng[i] == 0:
                a.append(rng[i])
                n /= rng[i]
    return a


def sign(l):
    if l < 0:
        return -1
    else:
        return 1


def main():
    n = int(input())
    a = primes(n)
    a[1] *= a.pop(0)
    for i in a:
        print(i, end=" ")
    print()
    msk = [sign(i) for i in a]
    if a[0] >= 1:
        for j in range(len(a) // 2):
            msk[2 * j] *= -1
            msk[2 * j + 1] *= -1
            d = list(itertools.permutations(msk))
            q = []
            for i in d:
                u = sorted([a[c] * i[c] for c in range(len(a))])
                # print(u)
                if u not in q:
                    q.append(u)
            for i in q:
                for k in range(len(a)):
                    print(i[k], end=" ")
                print()


if __name__ == '__main__':
    main()
