#include <bits/stdc++.h>
using namespace std;
using ll = long long;
using ull = unsigned long long;
using ld = long double;
using pii = pair<int, int>;
#define all(x) (x).begin(), (x).end()
#define allr(x) (x).rbegin(), (x).rend()
const ll INF = 1e9+7;
const ll MOD = 998244353;

vector<int> primeDiv(int n){
    vector<int>a;

    int p = n;

    while(n != 1){
        bool ok = false;
        for(int i=2; i<=sqrt(n); ++i){
            if(n%i==0){n/=i; a.push_back(i); ok = true; break;}
        }
        if(!ok) a.push_back(n), n/=n;
    }

    if(a.size() == 0) a.push_back(p);

    return a;
}

int main(){
    cin.tie(nullptr);
    ios_base::sync_with_stdio(0);

    int n, b;

    cin>>n;

    if(n < 0) n = -1*n, b = -1;
    else b = 1;

    vector<int> divs = primeDiv(n);

    if(b == -1){
        map<int, int> cnt;

        for(int i=0; i<divs.size(); ++i){
            if(cnt[divs[i]] != 0) continue;
            cnt[divs[i]] = 1;
            for(int j=0; j<divs.size(); ++j){
                if(j==i) cout<<-1*divs[j]<<" ";
                else cout<<divs[j]<<" ";
            }
            cout<<'\n';
        }
    }
    else{
        for(auto i: divs) cout<<i<<" ";
        cout<<'\n';

        map<pii, int>cnt;

        for(int i=0; i<divs.size(); ++i){
            for(int j=i+1; j<divs.size(); ++j){
                if(cnt[{divs[i], divs[j]}] != 0) continue;
                cnt[{divs[i], divs[j]}] = 1;
                for(int k = 0; k<divs.size(); ++k){
                    if(k == i) cout<<-1*divs[k]<<" ";
                    else if(k == j) cout<<-1*divs[k]<<" ";
                    else cout<<divs[k]<<" ";
                }
                cout<<'\n';
            }
        }
    }


    return 0;
}