#include <iostream>
#include <vector>
#include <algorithm>
#include <map>

using namespace std;

int main() {
    map<int,int> index;
    index['R' + 'R'] = 0;
    index['R' + 'G'] = 1;
    index['R' + 'B'] = 2;
    index['G' + 'G'] = 3;
    index['G' + 'B'] = 4;
    index['B' + 'B'] = 5;

    map<int,string> outdex;
    outdex[0] = "RR";
    outdex[1] = "RG";
    outdex[2] = "RB";
    outdex[3] = "GG";
    outdex[4] = "GB";
    outdex[5] = "BB";

    vector<int> count(6, 0);

    int n; cin >> n;
    for (int i = 0; i < n; ++i) {
        char first, prev, current;
        cin >> first >> prev;
        ++count[index[first + prev]];
        while ((current = cin.get()) != '\n')
            {
                ++count[index[current + prev]];
                prev = current;
            }
        ++count[index[first+prev]];
    }

    int m = *max_element(count.begin(), count.end());

    for (int i = 0; i < 6; ++i) {
        if (count[i] == m)
            cout << outdex[i] << '\n';
    }

    return 0;
}