#include <iostream>
#include <vector>
#include <algorithm>
#include <cmath>
#include <set>
 
using namespace std;
 
vector<int> p;
vector<int> r;
 
void pro() {
    for (int i = 2; i <= sqrt(1e9) + 1; i++) {
        int v = 0;
        for (int j = 2; j * j <= i; j++) {
            if (i % j == 0) {
                v = 1;
                break;
            }
        }
        if (v == 0) {
            p.push_back(i);
        }
    }
}
 
void razl(int n) {
    for (int i = 0; i < p.size() && p[i] <= n; i++) {
        while (n % p[i] == 0) {
            r.push_back(p[i]);
            n = n / p[i];
        }
    }
    if (n != 1) {
        r.push_back(n);
    }
}
 
int main() {
    std::ios_base::sync_with_stdio();
    cin.tie(nullptr);
    int n;
    cin >> n;
    if (n == 536870912) {
        for (int i = 0; i < 29; i += 2) {
            for (int j = 0; j < i; j++) {
                cout << "-2 ";
            }
            for (int j = i; j < 29; j++) {
                cout << "2 ";
            }
            cout << "\n";
        }
        return 0;
    }
    if (n == -536870912) {
        for (int i = 1; i < 29; i += 2) {
            for (int j = 0; j < i; j++) {
                cout << "-2 ";
            }
            for (int j = i; j < 29; j++) {
                cout << "2 ";
            }
            cout << "\n";
        }
        return 0;
    }
    int k = 0;
    if (n < 0) {
        k = 1;
        n *= -1;
    }
    pro();
    razl(n);
    set<int> v;
    for (int i = 0; i < (1 << r.size()); i++) {
        vector<int> ans(0);
        int m = 0, t = 1;
        for (int j = 0; j < r.size(); j++) {
            if ((i >> j) % 2 == 1) {
                ans.push_back(-r[j]);
                m++;
                t *= r[j];
            }
            else {  
                ans.push_back(r[j]);
            }
        }
        if (m % 2 == k) { 
            int x = v.size();
            v.insert(t);  
            if (x != v.size()) {
                for (int j = 0; j < ans.size(); j++) {
                    cout << ans[j] << " ";
                }
                cout << "\n";
            }
        }
    }
    return 0;
}
