#include<iostream>
#include<vector>
#include<string>
#include<cmath>
#include<algorithm>
#include<set>

#define ll long long
#define ld long double

using namespace std;

bool prov(ll m, ll k, vector<ll>& a, ll b) {
	ll r = 0;
	ll n = a.size();
	for (ll i = 0; i < k; i++) if (a[i] <= b) r++;
	if (r < m) return false;
	for (ll i = k; i < n; i++) {
		if (a[i] <= b) r++;
		if (a[i - k] <= b) r--;
		if (r < m) return false;
	}
	return true;
}

int main() {
	ll n, k, m;
	cin >> n >> k >> m;
	vector<ll> a(n);
	for (ll i = 0; i < n; i++) cin >> a[i];
	ll l = 0, r = 1e9 + 100;
	while (r - l > 1) {
		ll md = (r + l) / 2;
		bool tt = prov(m, k, a, md);
		if (tt) r = md;
		else l = md;
	}
	//cout << r << endl;
	ll ans = 0;
	for (ll i = 0; i < n; i++) if (a[i] > r) ans += a[i];
	cout << ans - r;
}

/*
8 4 2
3 7 4 1 5 9 2 6

5 2 1
2 2 2 2 2
*/