#include <iostream>
#include <cmath>

using namespace std;

struct Point {
    int x;
    int y;
};

bool check_dist(int x, int y, struct Point center, int low, int high) {
    if (abs(x - center.x) + abs(y - center.y) >= low &&
        abs(x - center.x) + abs(y - center.y) <= high) {
            return true;
    }
    return false;
}

int main() {
    int n, a, b;
    cin >> n >> a >> b;
    int k = (n - 1) / 2;
    struct Point center = {k, k};
    for (int i = 0; i < n; i++) {
        for (int j = 0; j < n; j++) {
            if (check_dist(i, j, center, a, b)) {
                cout << "*";
            } else {
                cout << ".";
            }
        }
        cout << "\n";
    }
    return 0;
}
