from functools import reduce
from operator import mul, neg

n = int(input())
an = abs(n)
sign = n / an
divisors = []
divisors_map = {}
for i in range(2, int(an ** 0.5) + 1):
    while an % i == 0:
        an //= i
        divisors.append(i)
        divisors_map[i] = divisors_map.get(i, 0) + 1
               
if reduce(mul, divisors, 1) != abs(n):
    divisors.append(an)
    divisors_map[an] = divisors_map.get(an, 0) + 1

def print_str(signs):
    for key in signs:
        print(*[-key for _ in range(signs[key])], end=' ')
        print(*[key for _ in range(divisors_map[key] - signs[key])], end=' ')
    print()

def f(divisors_left, signs):
    if len(divisors_left) > 0:
        for i in range(divisors_left[0][1] + 1):
            signs[divisors_left[0][0]] = i
            f(divisors_left[1:], signs)
    else:
        if 2 * (sum(signs.values()) % 2) - 1 != sign:
            print_str(signs)

f(list(divisors_map.items()), { key: 0 for key in divisors_map })