#include <iostream>
#include <algorithm>
#include <random>
#include <utility>
#include <vector>
#include <string>
#include <cstdio>
#include <set>
#include <fstream>
#include <climits>
#include <cmath>
#include <deque>
#include <map>
#include <ctime>
#include <random>
#include <unordered_set>
#include <chrono>
#include <queue>
#include <unordered_map>
#include <cassert>
#include <bitset>
//#include <bits/stdc++.h>

using namespace std;

#define int ll
//#define endl endl

typedef long long ll;
typedef unsigned long long ull;
typedef long double ld;
typedef pair <int , int> pii;
typedef pair <ll , ll> pll;
typedef pair <ld , ld> pld;
typedef vector<int> vi;
typedef vector<bool> vb;
typedef vector<vector<bool>> vvb;
typedef vector<vector<int>> vvi;
typedef vector<pair<int, int>> vpii;
typedef vector<vpii> vvpii;

#define ff first
#define ss second
#define pb push_back
#define pp pop_back

#define IO ios_base::sync_with_stdio(false); cin.tie(nullptr); cout.tie(nullptr);
std::mt19937 rng(std::chrono::steady_clock::now().time_since_epoch().count());
int random(int left, int right){return std::uniform_int_distribution<int>(left, right)(rng);}
#define out(a) //cout << (a) << " ";
#define endss cout << endl;
#define here cout << "here" << endl;
#define smile cout << char(2);
#define print(x) { for (auto xxxxxxxxx : (x)) cout << xxxxxxxxx << ' '; cout << '\n';}
#define printp(x) { for (auto &xxxxxxxxx : (x)) cout << xxxxxxxxx.ff << " " << xxxxxxxxx.ss << cout << '\n'; }
#define all(a) (a).begin(), (a).end()
#define rall(a) (a).rbegin(), (a).rend()

//#define __int128 ll

pair<int, bool> func(vector<int> &v, int cur, int k, int m){
    int tmp = 0;
    bool pos;
    int res = 0;
    for(int i = 0; i < v.size() && i < k; ++i){
        if(v[i] <= cur) tmp++;
        else res += v[i];
    }
    pos = tmp >= m;
    for (int i = k; i < v.size(); ++i) {
        if(v[i - k] <= cur) tmp--;
        if(v[i] <= cur) tmp++;
        else res += v[i];
        pos &= tmp >= m;
    }
    return {res, pos};
}

int solve(int n, int k, int m, vector<int> &v){
    //IO
    int min = INT_MAX, max = INT_MIN;
    for(int &i: v) {
        min = ::min(min, i);
        max = ::max(max, i);
    }
    int res = func(v, max, k, m).first - max;
    int l = min - 1, r = max, mid;
    if(min == max) {
        cout << res << endl;
        return res;
    }
    while (r - l > 1){
        mid = (l + r) / 2;
        pair<int, bool> p = func(v, mid, k, m);
        if(p.ss && p.ff - mid > res){
            res = p.ff - mid;
            r = mid;
        } else {
            l = mid;
        }
    }
    pair<int, bool> p = func(v, r, k, m);
    res = ::max(res, p.ff - r);
    cout << res << endl;
    return ::max(res, p.ff - r);
}

int solve2(int n, int k, int m, vector<int> &v){
    int res = INT_MIN;
    for(int i = 1; i <= 100; ++i){
        pair<int, bool> p = func(v, i, k, m);
        if(p.ss) res = max(res, p.ff - i);
    }
    //cout << res << endl;
    return res;
}

void gen(){
    int n = random(2, 10);
    int m = random(1, n - 1);
    int k = random(m + 1, n);
    vector<int> v(n);
    for(auto &i: v) i = random(1, 10);
    int r1 = solve(n, k, m, v), r2 = solve2(n, k, m, v);
    if(r1 != r2) {
        cout << r1 << " " << r2 << endl;
        cout << n << " " << k << " " << m << endl;
        print(v)
        exit(-2);
    }
}

void get(){
    int n, k, m;
    cin >> n >> k >> m;
    vector<int> v(n);
    for(auto &i: v) cin >> i;
    solve(n, k, m, v);
}

signed main(){
    get();
    //int q = 100000;
    //while (q--) gen();
    //while (q--) solve();
}