#include <iostream>
#include <vector>
#include <string>
#include <algorithm>
#include <cmath>

using namespace std;
#define vi vector<int>
#define pb push_back
#define ll long long
#define all(v) v.begin(), v.end()

int main() {
    int n;
    cin >> n;
    int k; cin >> k;
    int m; cin >> m;
    vi a(n), pos(n);
    ll sum = 0;
    for(int i = 0; i < n; ++i) {
        cin >> a[i];
        sum += a[i];
        pos[i] = i;
    }
    sort(all(pos), [&] (int ii, int jj) {return a[ii] < a[jj];});
    ll ans = a[pos[n-1]];
    vi pref(n);
    for(int i = 0; i < n; ++i) pref[i] = 0;
    int l = 0;
    int r = n - 1;
    while(l < r) {
        int i = (l+r)/2;
        int cnt = 0;
        for(int j = 0; j < k; ++j) if(a[j] <= a[pos[i]]) cnt++;
        if (cnt < m) {
            l = i + 1;
            continue;
        }
        bool ok = true;
        for (int j = k; j < n; ++j) {
            if(a[j] <= a[pos[i]]) cnt++;
            if(a[j - k] <= a[pos[i]]) cnt--;
            if(cnt < m){
                ok = false;
                break;
            }
        }
        if(ok) {
            r = i;
            if(a[pos[i]] < ans)
                ans = a[pos[i]];
            //cout << sum << ' ' << a[pos[i]] << '\n';

        } else l = i + 1;
    }
    sum = 0;
    for(int i = 0 ; i < n; ++i) if(a[i] > ans) sum += a[i];
    cout << sum - ans << '\n';

    return 0;
}
