package com.company;
import java.io.PrintStream;
import java.util.Scanner;

public class Main {
    public static Scanner in = new Scanner(System.in);
    public static PrintStream out = System.out;
    private static int[] divOf(int n) {
        int k = n;
        int s = 0;
        while (k != 1) {
            int i = 2;
            while (i <= Math.sqrt(k) + 0.001) {
                if (k % i == 0) {
                    k /= i;
                    s++;
                    break;
                }
                i++;
            }
            if (i > Math.sqrt(k)) {
                break;
            }
        }
        int[] ans = new int[s + 1];
        k = n;
        int j = 0;
        while (k != 1) {
            int i = 2;
            while (i <= Math.sqrt(k) + 0.001) {
                if (k % i == 0) {
                    k /= i;
                    ans[j] = i;
                    j++;
                    break;
                }
                i++;
            }
            if (i > Math.sqrt(k)) {
                break;
            }
        }
        ans[j] = k;
        return ans;
    }

    public static void main(String[] args) {
         int n = in.nextInt();
        int sign = (n > 0) ? 1 : -1;
        n = n * sign;
        int[] divRaw = divOf(n);
        int s = 1;
        for (int i = 1; i < divRaw.length; i++) {
            s += (divRaw[i] != divRaw[i - 1]) ? 1 : 0;
        }
        int[] div = new int[s];
        int[] divN = new int[s];
        div[0] = divRaw[0];
        divN[0] = 1;
        int j = 0;
        for (int i = 1; i < divRaw.length; i++) {
            if (divRaw[i] != divRaw[i - 1]) {
                j++;
                div[j] = divRaw[i];
                divN[j] = 1;
            }
            else {
                divN[j]++;
            }
        }
        int signN = divRaw.length / 2;
        int[] signArr = new int[divN.length];
        for (int i = 0; i < signArr.length; i++) {
            signArr[i] = 0;
        }
        for(int i = 0; i <= signN; i++) {
            printQuasiDiv(div, divN, i * 2, signArr, 0, sign);
        }
        /*for (int i = 0; i < divRaw.length; i++) {
            out.print(divRaw[i] + " ");
        }
        out.println();
        for (int i = 0; i < div.length; i++) {
            out.println(div[i] + " " + divN[i]);
        }*/
    }

    private static void printQuasiDiv(int[] div, int[] divN, int signN, int[] signArr, int k, int sign) {
        if (signN == 0) {
            for (int i = 0; i < div.length; i++) {
                int s = signArr[i];
                for (int j = 0; j < divN[i]; j++) {
                    if (s > 0) {
                        out.print(-div[i]*sign + " ");
                        s--;
                    }
                    else {
                        out.print(div[i]*sign + " ");
                    }
                }
            }
            out.println();
        }
        else if (k < div.length) {
            for (int i = 0; i <= ((divN[k] < signN) ? divN[k] : signN); i++) {
                int[] signArrCopy = signArr.clone();
                signArrCopy[k] = i;
                printQuasiDiv(div, divN, signN - i, signArrCopy, k + 1, sign);
            }
        }
    }
}
