/*
8 4 2
3 7 4 1 5 9 2 6
 */
#include <iostream>
#include <vector>
#include <set>
#include <algorithm>
#include <cmath>

using namespace std;

vector<int> v;

bool pros(int n) {
    if (n == 2 || n == 3) {
        return true;
    }
    for (int i = 2; i <= sqrt(n); i++) {
        if (n % i == 0) {
            return false;
        }
    }
    return true;
}

int del(int n) {
    for (int i = 2; i <= sqrt(n); i++) {
        if (pros(i) && n % i == 0) {
            v.push_back(i);
            return 1 + del(n / i);
        }
    }
    v.push_back(n);
    return 1;
}

void out(const vector<int>& v2, int num, int count, set<vector<int>>& V, vector<int> v3) {
    if (num == v2.size() - 1) {
        if (count % 2 == 0) {
            v3.push_back(v2[num]);
            out(v2, num + 1, count, V, v3);
        }else {
            v3.push_back(-v2[num]);
            out(v2, num + 1, count + 1, V, v3);
        }
        return;
    }else if (num == v2.size()) {
        sort(v3.begin(), v3.end());
        V.insert(v3);
        return;
    }
    vector<int> v4 = v3;
    v4.push_back(v2[num]);
    out(v2, num + 1, count, V, v4);
    v3.push_back(-v2[num]);
    out(v2, num + 1, count + 1, V, v3);
}

int main() {
    int n;
    cin >> n;
    del(n);
    set<vector<int>> V;
    out(v, 0, 0, V, {});

    for (auto& i : V) {
        for (auto& j : i) {
            cout << j << ' ';
        }
        cout << '\n';
    }
}