
#pragma GCC target("avx")
#pragma GCC optimize(3)
#pragma GCC optimize("Ofast")
#pragma GCC optimize("unroll-loops")
#pragma GCC optimize("fast-math")
#pragma GCC optimize("no-stack-protector")
#pragma GCC optimize("inline")
#pragma GCC optimize("unroll-all-loops")
#include <iostream>
#include <vector>
#include <algorithm>
#include <set>

/*int main() {
    long long n, k, m;
    std::cin >> n >> k >> m;
    std::vector<long long> L(n);
    std::set<long long> L1;
    for (long long i = 0; i < n; i++)
    {
        std::cin >> L[i];
    }
    std::vector<long long> X(n - k + 1);
    long long x_l = -1000000000000000000, xm = x_l;
    {std::vector<long long> SS(k);
    for (int j = 0; j < k; j++) {
        SS[j] = L[j];
    }
    sort(SS.begin(), SS.end());
    x_l = SS[m - 1];
    X[0] = x_l;
    if (xm < x_l)
        xm = x_l; }
    for (int i = 1; i < n - k + 1; i++) {
        long long a = L[i - 1], b = L[i - 1 + k];
        if (!(a > x_l && b > x_l || a == b && a == x_l || a < x_l && b < x_l)) {
            std::vector<long long> SS(k);
            for (int j = 0; j < k; j++) {
                SS[j] = L[i + j];
            }
            sort(SS.begin(), SS.end());
            x_l = SS[m - 1];
            X[i] = x_l;
            if (xm < x_l)
                xm = x_l;
        }
    }
    //std::cout << xm;
    long long A = 0, B = xm;
    for (int i = 0; i < n; i++)
        if (L[i] > B)
            A += L[i];
    std::cout << A - B;
    return 0;
}*/

#include <iostream>
#include <vector>
#include <algorithm>
#include <set>

int main() {
    long long n, k, m;
    std::cin >> n >> k >> m;
    std::vector<long long> L(n);
    std::vector<long long> L1(n);
    for (long long i = 0; i < n; i++)
    {
        std::cin >> L[i];
        L1[i] = L[i];
    }
    sort(L1.begin(), L1.end());
    long long ans = -1000000000000000000;
    long long L_b = -1, R_b = n;
    while (R_b - L_b > 1) {
        long long M = (R_b + L_b) / 2;
        long long b = L1[M];
        bool check = true; 
        long long pass = 0;
        for (long long j = 0; j < n - k + 1; j++)
        {
            if (pass > 0) {
                pass--;
                continue;
            }
            long long count_ = 0;
            for (long long x = 0; x < k; x++)
            {
                count_ += (long long)(L[j + x] <= b);
            }
            if (count_ < m) {
                check = false;
                break;
            }
            pass = count_ - m;
        }
        if (check) {
            R_b = M;
        }
        else {
            L_b = M;
        }
    }
    long long b = L1[R_b]; 
    long long a = 0;
    for (long long j = 0; j < n; j++)
    {
        if (L[j] > b)
            a += L[j];
    }
    ans = a - b;
    std::cout << ans;
    return 0;
}

/*
n, k, m = map(long long, input().split())
L = list(map(long long, input().split()))
L1 = sorted(list(set(L)))
ans = -10**18
for i in range(len(L1)):
    check = True
    b = L1[i]
    a = 0
    for j in range(n):
        if L[j] > b:
            a += L[j]
    for j in range(n - k + 1):
        count = 0
        for x in range(k):
            count += L[j + x] <= b
        if count < m:
            check = False
            #prlong long(j, count)
            break
    #prlong long(a, b)
    if (check):
        if (a - b) > ans:
            ans = a - b
prlong long(ans)


*/