import java.util.ArrayList;
import java.util.Comparator;
import java.util.List;
import java.util.Scanner;

public class Main {
    // R = 1
    // G = 2
    // B = 3
    public static void main(String[] args) {
        Scanner s = new Scanner(System.in);
        int n = Integer.parseInt(s.nextLine());
        int[] combinations = new int[50];
        for (int t = 0; t < n; t++) {
            char[] line = s.nextLine().toCharArray();
            for (int i = 0; i < line.length-1; i++) {
                char t1 = line[i], t2 = line[i+1];
                proc(combinations, conv(t1), conv(t2));
            }
        }
        List<ColorPair> mList = new ArrayList<>();
        mList.add(new ColorPair("RR", combinations[11]));
        mList.add(new ColorPair("RG", combinations[12]));
        mList.add(new ColorPair("RB", combinations[13]));
        mList.add(new ColorPair("GG", combinations[22]));
        mList.add(new ColorPair("GB", combinations[23]));
        mList.add(new ColorPair("BB", combinations[33]));
        mList.sort(Comparator.comparingInt((ColorPair e) -> e.cnt).reversed());
        ColorPair first = mList.get(0);
        mList.removeIf(e -> e.cnt != first.cnt);
        mList.forEach(e -> System.out.println(e.clr));
    }

    private static int conv(char t2) {
        if (t2 == 'R')
            return 1;
        else if (t2 == 'G')
            return 2;
        else return 3;
    }

    private static void proc(int[] combinations, int t1, int t2) {
        if (t1 > t2) {
            int temp = t1;
            t1 = t2;
            t2 = temp;
        }
        combinations[t1*10+t2]++;
    }

    public static class ColorPair {
        public final String clr;
        public final int cnt;
        public ColorPair(String clr, int cnt) {
            this.clr = clr;
            this.cnt = cnt;
        }
    }
}
