﻿#include <iostream>
#include <vector>
#include <string>
#include <algorithm>
using namespace std;

// global
vector<int> subset;
vector<vector<int> > ans;
vector<int> t;

// functions
int abs(int);
void search(int, int, int, vector<int>&);

int main()
{
	// Сосчитать делители
	int n; cin >> n;
	int temp = abs(n);
	vector<int> divisors;
	int i = 2;
	while (i * i <= temp)
	{
		if (temp % i == 0)
		{
			divisors.push_back(i);
			temp /= i;
			i = 2;
		}
		else i++;
	}
	int p = 1;
	for (int i = 0; i < divisors.size(); i++)
		p *= divisors[i];
	if (i * i > temp && p != n) divisors.push_back(temp);
	
	// Разобраться с перестановками
	int d_num = divisors.size();
	search(0, d_num, n, divisors);
	for (int i = 0; i < ans.size(); i++)
	{
		for (int j = 0; j < ans[i].size(); j++)
			cout << ans[i][j] << ' ';
		cout << '\n';
	}
}

int abs(int a)
{
	return (a > 0) ? a : -a;
}

void search(int k, int num, int n, vector<int>& divisors)
{
	if (k == num) // если подмножество составлено
	{
		// проверить знак
		if (subset.size() % 2 == 0 && n > 0 ||
			subset.size() % 2 != 0 && n < 0) 
		{
			// составить перестановку и проверить её наличие в ans
			t = divisors;
			for (int i = 0; i < subset.size(); i++)
			{
				t[subset[i]] *= -1;
			}
			sort(t.begin(), t.end());
			bool found = false;
			for (int i = 0; i < ans.size(); i++)
			{
				if (ans[i] == t)
				{
					found = true;
					break;
				}
			}
			if (!found) ans.push_back(t);
		}
	}
	else
	{
		subset.push_back(k);
		search(k + 1, num, n, divisors);
		subset.pop_back();
		search(k + 1, num, n, divisors);
	}
}
