package com.company;

import java.util.ArrayList;
import java.util.Arrays;
import java.util.Objects;
import java.util.Scanner;

public class Main5 {

    public static void main(String[] args) {

        Scanner s = new Scanner(System.in);
        int n = s.nextInt();
        ArrayList<Integer> p = toPrimes(Math.abs(n));
        ArrayList<ArrayList<Integer>> r = new ArrayList<>();
        r.add(p);
        ArrayList<ArrayList<Integer>> toq = toQ(p);
        for (int i = 0; i <= p.size(); i += 2) {

            r.addAll(toq);
            toq = toQ(toq.get(0));

        }

        ArrayList<ArrayList<Integer>> res = purge(r);

        for (ArrayList<Integer> l : res) {

            print(l);

        }

    }

    public static ArrayList<ArrayList<Integer>> purge(ArrayList<ArrayList<Integer>> res) {

        for (int i = 0; i < res.size(); i++) {

            for (int j = 0; j < res.size(); j++) {

                if (i != j && check(res.get(i), res.get(j)) && check(res.get(j), res.get(i))) {
                    res.remove(j);
                    return purge(res);
                }

            }

        }

        return res;

    }

    public static boolean check(ArrayList<Integer> a1, ArrayList<Integer> a2) {

        for (int i = 0; i < a1.size(); i++) {

            int r1 = 0;
            int r2 = 0;

            for (int j = 0; j < a1.size(); j++) {

                if (Objects.equals(a1.get(j), a1.get(i))) r1++;
                if (Objects.equals(a2.get(j), a1.get(i))) r2++;

            }

            if (r1 != r2) return false;

        }

        return true;

    }

    public static void print(ArrayList<Integer> a) {

        for (int i = 0; i < a.size(); i++) {

            System.out.print(a.get(i) + " ");

        }

        System.out.println();

    }

    public static ArrayList<Integer> toPrimes(int x) {

        ArrayList<Integer> res = new ArrayList<>();

        for (int i = 2; ; i++) {

            if (x < 2) return res;

            if (x % i == 0) {
                res.add(i);
                break;
            }

        }

        res.addAll(toPrimes(x / res.get(0)));

        return res;

    }

    public static ArrayList<ArrayList<Integer>> toQ(ArrayList<Integer> input) {

        if (input.size() >= 2) {

            ArrayList<ArrayList<Integer>> res = new ArrayList<>();
            ArrayList<Integer> a = (ArrayList<Integer>) input.clone();

            for (int i = 0; i < a.size(); i++) {

                a = (ArrayList<Integer>) input.clone();

                for (int j = i + 1; j < a.size(); j++) {

                    a.set(i, a.get(i) * -1);
                    a.set(j, a.get(j) * -1);
                    if (i == 0 || Objects.equals(a.get(i - 1), a.get(i))) res.add(a);
                    a = (ArrayList<Integer>) input.clone();

                }

            }

            return res;

        }

        return null;

    }

}
