import java.lang.reflect.Array;
import java.util.*;

public class Main {

    public static void main(String[] args) {
        Scanner scanner = new Scanner(System.in);
        int n = scanner.nextInt();
        int[] mass = new int[6]; //RR GG BB RG RB GB

        for (int i = 0; i < n; i++) {
            String s = scanner.next();
            for (int j = 0; j < s.length() - 1; j++) {
                String c = s.substring(j, j + 2);
                switch (c) {
                    case "RR" -> mass[0]++;
                    case "GG" -> mass[1]++;
                    case "BB" -> mass[2]++;
                    case "RG", "GR" -> mass[3]++;
                    case "RB", "BR" -> mass[4]++;
                    default -> mass[5]++;
                }
            }
            String c = s.charAt(0) + s.substring(s.length() - 1);
            switch (c) {
                case "RR" -> mass[0]++;
                case "GG" -> mass[1]++;
                case "BB" -> mass[2]++;
                case "RG", "GR" -> mass[3]++;
                case "RB", "BR" -> mass[4]++;
                default -> mass[5]++;
            }
        }

        Arrays.stream(mass).sorted();

        for (int i = 0; i < 6; i++) {
            if (mass[i] == mass[0]){
                switch (i){
                    case 0 -> System.out.println("RR");
                    case 1 -> System.out.println("GG");
                    case 2 -> System.out.println("BB");
                    case 3 -> System.out.println("RG");
                    case 4 -> System.out.println("RB");
                    default -> System.out.println("GB");
                }
            }
        }
    }
}
