import itertools

primes = [2, 3, 5, 7, 11, 13, 17, 19, 23, 29, 31, 37, 41, 43,
          47, 53, 59, 61, 67, 71, 73, 79, 83, 89, 97, 101]

N = int(input())
known = set()


def factorize(n):
    variants = []
    for prime in primes:
        if abs(prime * prime) <= abs(n):
            while n % prime == 0:
                variants.append(prime)
                n = n // prime
    if abs(n) > 1:
        variants.append(n)
    return variants


pos_factorized = factorize(abs(N))

if N < 0:
    pos_factorized = [-e for e in pos_factorized]

print(*pos_factorized)

was = []
for i in range(2, len(pos_factorized)):
    for pair in itertools.combinations([idx for idx in range(len(pos_factorized))], i):
        new_pair = [-e if i in pair else e for i, e in enumerate(pos_factorized)]
        if set(new_pair) not in was:
            was.append(set(new_pair))
            print(*new_pair)
