def render_by_matrix(matrix):
    for array in matrix:
        line_string = ""
        for val in array:
            if val:
                line_string += "*"
            else:
                line_string += "."
        print(line_string)


matrix_size = int(input())
min_width = int(input())
max_width = int(input())

shape = []

width_half = matrix_size // 2 + 1

# Render blank lines
blank_lines_count = width_half - max_width - 1
for i in range(blank_lines_count):
    shape.append([0] * width_half)


# Render corner
side_width = max_width - min_width + 1
for i in range(width_half - blank_lines_count):
    if max_width == min_width == 0:
        new_line = [0] * width_half
        shape.append(new_line[:width_half])
        continue
    new_line = [0] * width_half
    new_line[len(new_line) - i - 1:] = [1] * side_width
    if len(new_line) < width_half:
        new_line += [0] * (width_half - len(new_line))
    shape.append(new_line[:width_half])


# print(shape)
# Render right side
for line in shape:
    line.extend(list(reversed(line))[1:])


render_by_matrix(shape)
render_by_matrix(reversed(shape[:-1]))


