import collections


def make_pair(first, last):
    return "".join(sorted([first, last]))

count = int(input())

comb = collections.defaultdict(int)

buses = []
for _ in range(count):
    buses.append(input())

for buse in buses:
    for i in range(0, len(buse) - 1):
        comb[make_pair(buse[i],  buse[i + 1])] += 1
    comb[make_pair(buse[0],  buse[-1])] += 1
    comb[make_pair(buse[-1], buse[0])] += 1

max_counts = max(comb.values())
for pair in comb.items():
    if pair[1] == max_counts:
        print(pair[0])
