﻿#include <algorithm>
#include <iostream>
#include <map>
#include <set>
#include <string>
#include <vector>

#define fastio ios_base::sync_with_stdio(0); cin.tie(0); cout.tie(0)

using namespace std;

map<int, int> q;

vector<int> v;

void f(int cur, int idx, map<int, int> s = {}) {
	if (cur == 0) {
		for (auto i : q) {
			for (int j = 0; j < s[i.first]; ++j)
				cout << -1 * i.first << " ";
			for (int j = s[i.first]; j < i.second; ++j)
				cout << i.first << " ";
		}
		cout << '\n';
		return;
	}
	if (cur < 0 || idx == v.size())
		return;
	for (int i = 0; i <= q[v[idx]]; ++i) {
		s[v[idx]] = i;
		f(cur - i, idx + 1, s);
	}
}

signed main() {
	fastio;
	int n;
	cin >> n;
	int t = n, val = 0;
	for (int i = 2; t != 1 && i < 1e6; ++i) {
		while (t % i == 0) {
			t /= i;
			if (q[i] == 0)
				v.push_back(i);
			++q[i];
			++val;
		}
	}
	if (val <= 1) {
		cout << n;
		return 0;
	}
	int i;
	if (n < 0)
		i = 1;
	else
		i = 0;
	for (i; i <= val; i += 2)
		f(i, 0);
}