#include <iostream>
#include <string>
#include <vector>
#include <cmath>

using namespace std;

int a, b;

bool edge(const int& x1, const int& y1, const int& center) {
	return ((abs(center - x1) + abs(center - y1) <= b) && (abs(center - x1) + abs(center - y1) >= a));
}

int main() {
	int n;
	cin >> n;
	const int center = ((n - 1) / 2) + 1;
	cin >> a >> b;
	for (int i = 1; i <= n; ++i) {
		for (int j = 1; j <= n; ++j) {
			if (edge(j, i, center)) {
				cout << '*';
			}
			else {
				cout << '.';
			}
		}
		cout << '\n';
	}
}
