#include <iostream>
#include <string>
#include <vector>
#include <cmath>
#include <map>
#include <set>
#include <utility>
#include <algorithm>

using namespace std;

int main() {
	multiset <int> range;
	int n;
	cin >> n;
	int k, m;
	cin >> k >> m;
	set <int> tooBig;
	vector <int> money(n);
	for (int i = 0; i < n; i++) {
		cin >> money[i];
		if (i > k - 1) {
			range.erase(lower_bound(range.begin(), range.end(), money[i - k]));
			range.insert(money[i]);
			auto i = range.begin();
			advance(i, (m - 1));
			tooBig.insert(*i);
		}
		else {
			range.insert(money[i]);
		}
		if (i == k - 1) {
			auto i = range.begin();
			advance(i, (m - 1));
			tooBig.insert(*i);
		}
	}
	const int maxx = *prev(tooBig.end());
	long long sum = 0;
	for (int i = 0; i < n; ++i) {
		if (money[i] > maxx) {
			sum += money[i];
		}
	}
	cout << sum - maxx;
	return 0;
}
