#include <vector>
#include <cstdio>
#include <functional>

using namespace std;

int main( void )
{
  vector<pair<int64_t, int64_t>> L {};

  int64_t n {};
  scanf("%lli", &n);

  int64_t i {2}, abs_n {abs(n)};

  while (true)
  {
    if (i * i > abs_n)
    {
      if (abs_n > 1)
        L.emplace_back(abs_n, 1);

      break;
    }
    if (abs_n % i == 0)
    {
      L.emplace_back(i, 1);
      abs_n /= i;
      while (abs_n % i == 0)
      {
        abs_n /= i;
        L.back().second++;
      }
    }
    else
      i++;
  }

  vector<int64_t> R {};
  R.resize(L.size());

  const auto out {[&]( void )
  {
    int64_t tmp {0};
    for (auto elm : R)
      tmp = (tmp + elm) & 1;

    if (tmp != (n < 0))
      return;

    for (int64_t i {0}; i < R.size(); i++)
    {
      int64_t j {0};

      while (j < R[i])
      {
        printf("-%lli ", L[i].first);
        j++;
      }
      while (j < L[i].second)
      {
        printf("%lli ", L[i].first);
        j++;
      }
    }
    printf("\n");
  }};

  while (true)
  {
    out();
    R[0]++;

    int64_t i {0};

    while (i + 1 < R.size() && R[i] > L[i].second)
    {
      R[i] = 0;
      R[++i]++;
    }
    if (R[i] > L[i].second)
      break;
  }

  return 0;
}