#include <iostream>
#include <algorithm>
#include <vector>
#include <set>
#include <map>

using namespace std;

int main( void )
{
  int64_t n, k, m;
  vector<int64_t> a;

  cin >> n >> k >> m;

  a.resize(n);
  for (int i = 0; i < n; i++)
    cin >> a[i];

  vector<int64_t> tmp(a.begin(), a.begin() + k);
  sort(tmp.begin(), tmp.end());

  int64_t b = tmp[m - 1];

  int64_t under = 0;
  for (int i = 0; i < k; i++)
    if (tmp[i] <= b)
      under += 1;

  for (int i = 1; i < n - k + 1; i++)
  {
    if (a[i - 1] <= b)
      under -= 1;
    if (a[i - 1 + k] <= b)
      under += 1;

    if (under < m)
    {
      vector<int64_t> tmp(a.begin() + i, a.begin() + i + k);

      sort(tmp.begin(), tmp.end());
      b = tmp[m - 1];
      under = 0;

      for (int j = 0; j < k; j++)
        if (tmp[j] <= b)
          under += 1;
    }
  }

  int64_t res = 0;
  set<int64_t> a_s(a.begin(), a.end());
  multiset<int64_t> a_ms(a.begin(), a.end());

  for (auto i = a_s.begin(); i != a_s.end(); i++)
    if (*i > b)
      res += a_ms.count(*i) * (*i);

  cout << res - b;
}