#include <iostream>
#include <vector>
#include <string>


using namespace std;

vector <int> dels;

void func(int i, int v, int k, vector<int>pred) {
  if (i == dels.size() && v == k) {
    for (auto p : pred) cout << p << ' ';
    cout << "\n";
  }
  else {
    if (k == v) {
      pred.push_back(dels[i]);
      func(i + 1, v, k, pred);
      pred.pop_back();
      return;
    }
    if (i == dels.size()) return;
    if (dels.size() - i + v < k) return;
    pred.push_back(dels[i]);
    int j = i + 1;
    while (j < dels.size() && dels[j] == dels[j - 1]) {
      pred.push_back(dels[j]);
      j++;
    }
    func(j, v, k, pred);
    for (int l = 0; l < j - i; l++) {
      pred[i + l] = -pred[i + l];
      func(j, v + l + 1, k, pred);
    }
  }
}

int main(){
  cin.tie(0);
  cout.tie(0);
  ios_base::sync_with_stdio(false);
  int n, m;
  cin >> m;
  n = abs(m);


  int i = 2;
  while (i * i <= n) {
    while (n % i == 0) {
      n /= i;
      dels.push_back(i);
    }
    i++;
  }
  if (n != 1) dels.push_back(n);

  if (m > 0) {
    for (int k = 0; k <= dels.size(); k += 2) {
      func(0, 0, k, {});
    }
  }
  else {
    for (int k = 1; k <= dels.size(); k += 2) {
      func(0, 0, k, {});
    }
  }

    
     
   
}