#include <vector>
#include <iostream>
#include <cmath>
#include <set>
#include <algorithm>
#include <map>

using namespace std;
int check(vector<int>& a, int k, int m, int b)
{
    int sum = 0;
    int num = 0, cursize = 0;
    for (int i = 0; i < a.size(); i++)
    {
        if (a[i] <= b)
            num++;
        cursize++;
        if (cursize > k)
        {
            if (a[i - cursize + 1] <= b)
                num--;
            cursize--;
        }
            
        if (cursize == k && num < m)
            return -1e9;
        sum += (a[i] - b) > 0 ? a[i] : 0;
    }
    return sum;
}
int main()
{
    int n, k, m;
    cin >> n >> k >> m;
    vector<int> a(n);
    int min = 1e9, max = 0;
    for (int i = 0; i < n; i++)
    {
        cin >> a[i];
        if (a[i] > max)
            max = a[i];
        if (a[i] < min)
            min = a[i];
    }
   
    int l = -1e9;
    for (int i = min; i <= max; i++)
    {
        int x = check(a, k, m, i);
        if (x != -1e9 && x - i > l)
            l = x - i;
    }
    cout << l;
    return 0;
}
