#include <stdio.h>
#include <math.h>

int IsPrime( long long m );
long long st( long long x, int j );

int main( void )
{
  long long n, i, m;
  int j;

  scanf("%lli", &n);
  if (n >= 0)
    m = n;
  else
    m = -n;

  for (i = 2; i < m/2 + 1; i++)
  {
    if(!IsPrime(i))
      continue;
    if (m % i != 0)
      continue;
    for (j = 1; m % st(i, j) == 0; j++)
      printf("%lli ", i);
  }

  return 0;
}

int IsPrime( long long m )
{
  long long i;

  for (i = 2; i < (long long)sqrt(m) + 1; i++)
    if (m % i == 0)
      return 0;
  return 1;
}

long long st( long long x, int j )
{
  int i;
  long long y = 1;

  for (i = 1; i <= j; i++)
    y *= x;
  return y;
}
