#include <iostream>
#include <vector>
#include <string>

using namespace std;

int *divs;
int *divsp;
int nu = 0;
int *res;

void find_d( int a ) {
  int b = a;
  for (int i = 2; i * i <= b; i++) {
    if (a % i == 0) {
      divs[nu++] = i;
    }
    while (a % i == 0) {
      a /= i;
      divsp[nu - 1]++;
    }
  }
  if (a != 1) {
    divs[nu++] = a;
    divsp[nu - 1]++;
  }
}

void printn(int n, int i, int j) {
  for (int a = 0; a < i; a++) {
    cout << -n << ' ';
  }
  for (int a = 0; a < j; a++) {
    cout << n << ' ';
  }
}

void print_end() {
  for (int i = 0; i < nu; i++) {
    printn(divs[i], res[i], divsp[i] - res[i]);
  }
  cout << '\n';
}

void recprint(int i, int s) {
  if (i == nu - 1) {
    for (int j = (s == -1 ? 1 : 0); j <= divsp[i]; j += 2) {
      res[i] = j;
      print_end();
    }
  }
  else {
    for (int j = 0; j <= divsp[i]; j++) {
      res[i] = j;
      recprint(i + 1, j % 2 == 0 ? s : -s);
    }
  }
}

int main() {
  int a;

  cin >> a;

  int *h = new int[100000];
  divsp = h;
  int *g = new int[100000];
  divs = g;
  res = new int[100000];
  for (int i = 0; i < 100000; i++)
    divsp[i] = divs[i] = res[i] = 0;

  find_d(abs(a));

  recprint(0, a < 0 ? -1 : 1);

  return 0;
}
