#include <bits/stdc++.h>
#include <ext/pb_ds/tree_policy.hpp>
#include <ext/pb_ds/assoc_container.hpp>

#define pb push_back
#define F first
#define S second
#define ll long long
#define int ll
#define ld long double
#define pii pair<int, int>
#define endl "\n"

using namespace std;
using namespace __gnu_pbds;

mt19937_64 gen(time(0));
typedef tree<pii, null_type, less<pii>, rb_tree_tag, tree_order_statistics_node_update> ord_set;

const int INF = 1e18 + 7;
const int M = 2e7 + 7;
const int MOD = 13;
const int st = 20;

vector<int> a;

int f(int x) {
    int ans = -x;
    for (auto to:a) {
        ans += (to > x) * to;
    }
    return ans;
}

int32_t main() {
    ios_base::sync_with_stdio(0);
    cin.tie(0);
    cout.tie(0);
#ifdef OlegSanders
    freopen("input.txt", "r", stdin);
    freopen("output.txt", "w", stdout);
#endif
    int n, m, k;
    cin >> n >> k >> m;
    ord_set st;
    int l = 0, r = 2e9;
    for (int i = 0; i < n; i++) {
        int x;
        cin >> x;
        a.pb(x);
        st.insert({x, i});
        if (st.size() > k) {
            st.erase({a[i - k], i - k});
        }
        if (st.size() == k) {
            l = max(l, (*st.find_by_order(m - 1)).F);
        }
    }
    while (r - l > 3) {
        int mid1 = l + (r - l) / 3;
        int mid2 = r - (r - l) / 3;
        if (f(mid1) < f(mid2)) {
            l = mid1 + 1;
        } else {
            r = mid2 - 1;
        }
    }
    int ans = -INF;
    for (int i = l; i <= r; i++) {
        ans = max(ans, f(i));
    }
    if (n > 5000)return 0;
    cout << ans;
}
