package me.mrh1tech.olimp;

import java.util.Arrays;
import java.util.Scanner;

public class Solution {

    public static void main(String[] args) {
        Scanner console = new Scanner(System.in);
        int n = console.nextInt(), k = console.nextInt(), m = console.nextInt();
        int[] coins = new int[n];

        for (int i = 0; i < n; i++) {
            coins[i] = console.nextInt();
        }

        for (int b = Arrays.stream(coins).min().orElse(0); b <= Arrays.stream(coins).max().orElse(0); b++) {
            int[] copyCoins = coins.clone();

            for (int i = 0; i < copyCoins.length; i++) {
                if (copyCoins[i] <= b)
                    copyCoins[i] = 0;
            }

            boolean isEmptyTrue = false;

            for (int i = 0; i < n; i++) {
                int emptyAmount = 0;
                for (int j = 0; j < k && i + j < copyCoins.length; j++) {
                    if (copyCoins[i + j] == 0 && copyCoins[i + j + 1] == 0)
                        emptyAmount = emptyAmount + 2;
                    else
                        emptyAmount = 0;
                }

                if (emptyAmount >= m){
                    isEmptyTrue = true;
                    break;
                }
            }

            if (isEmptyTrue) {
                System.out.println(Arrays.stream(copyCoins).sum()-b);
                break;
            }
        }

    }

}
