#include <iostream>
#include <vector>
#include <algorithm>
#include <queue>
#include <set>
#include <cmath>
#include <string>
  
using namespace std;

int main()
{
    ios::sync_with_stdio(0);
    cin.tie(0);
    cout.tie(0);
    int n, k, m;
    cin>>n>>k>>m;
    vector<int> a(n);
    vector<int> dop(n);
    for(int i=0;i<n;i++){
        cin>>a[i];
        dop[i]=a[i];
    }
    sort(dop.begin(),dop.end());
    
    int l = 0;
    int r = n-1;
    while(l<r){
        int mi=l+r>>1;
        int kol =0;
        int i=0;
        for(;i<k;i++){
            if(dop[mi]>=a[i]){
                kol++;
            }
        }
        while(i<n && kol>=m){
            if(dop[mi]>=a[i]){
                kol++;
            }
            if(dop[mi]>=a[i-k]){
                kol--;
            }
            i++;
        }
        if(kol>=m){
            r = mi;
        }
        else{
            l = mi + 1;
        }
    }
    long long sum=-dop[l];
    for(int i=0;i<n;i++){
        if(a[i]>dop[l]){
            sum+=a[i];
        }
    }
    cout<<sum;
}