#include <iostream>

int mod(int x) {
    if (x < 0) return (x * -1);
    return x;
}

int distance(int x1, int y1, int x2, int y2) {
    return mod(x1 - x2) + mod(y1 - y2);
}

void solve() {
    int n, a, b;
    std::cin >> n >> a >> b;

    int center = n / 2;

    for (int i = 0; i < n; ++i) {
        for (int j = 0; j < n; ++j) {
            int dist = distance(i, j, center, center);
            if (dist >= a && dist <= b) {
                std::cout << '*';
            }
            else std::cout << '.';
        }
        std::cout << '\n';
    }
}

int main() {
    solve();
    return 0;
}