#include <iostream>
#include <vector>
#include <algorithm>

using namespace std;

int bin_search(vector<int>& a, int x) {
    int l = -1,r = a.size();
    while (r - l > 1) {
        int m = (l + r) / 2;
        if (a[m] > x) {
            r = m;
        } else {
            l = m;
        }
    }
    return l;
}

int main() {
    int n,k,m;
    cin >> n >> k >> m;
    vector<int> a,sted;
    sted.assign(k,0);
    a.assign(n,0);
    for (int i = 0; i < n; i++) {
        int q;
        cin >> q;
        a[i] = q;
        if (i < k) sted[i] = q;
    }
    sort(sted.begin(),sted.end());
    int am = sted[m-1];
    for (int i = 1; i <= n - k; i++) {
        int old_i = bin_search(sted,a[i-1]);
        sted.erase(sted.begin()+old_i,sted.begin()+old_i+1);
        int new_i = bin_search(sted,a[i+k-1]);
        sted.insert(sted.begin()+new_i+1,a[i+k-1]);
        if (sted[m-1] > am) am = sted[m-1];
    }
    long long s = -am;
    for (int i = 0; i < n; i++) {
        if (a[i] > am) s += a[i];
    }
    cout << s;
}
