#include <iostream>
#include <vector>
#include <algorithm>
#include <numeric>
using namespace std;

vector<int> generate_new(vector<int> &orig, int b)
{
    vector<int> new_vec;
    for (auto i : orig)
        new_vec.push_back(((i > b) ? i : 0));
    return new_vec;
}

int count_zeros(vector<int> &nums, int k)
{
    int start = 0;
    int count = 0;
    int count2 = 0;
    int minimal = 10000000;
    for (int end = 0; end < nums.size(); end++)
    {
        if (nums[end] == 0)
            count += 1;
        count2 = count;
        if (end - start + 1 == k)
        {
            if (nums[start] == 0)
                count -= 1;
            start += 1;
        }
        if (end >= k - 1)
            minimal = min(minimal, count2);
    }
    return minimal;
}

int main()
{
    int n, k, m;
    cin >> n >> k >> m;

    vector<int> a(n);
    for (int i = 0; i < n; i++)
    {
        cin >> a[i];
    }

    vector<int> ordered(a);
    sort(ordered.begin(), ordered.end(), greater<int>());

    int win;

    for (auto b : ordered)
    {
        auto nn = generate_new(a, b);

        auto zeros = count_zeros(nn, k);
        if (zeros < m)
            break;
        win = accumulate(nn.begin(), nn.end(), 0) - b;
    }

    cout << win << endl;
}