from itertools import combinations


def factorize(n):
    dels = []
    d = 2

    while d ** 2 <= n:
        if n % d == 0:
            dels.append(d)
            n = n // d
        else:
            d += 1

    if n > 1:
        dels.append(n)

    return dels


n = int(input())

dels = factorize(abs(n))
c = []
if n > 0:
    for i in range(0, len(dels) + (len(dels) % 2), 2):
        c += set([i for i in combinations(dels, i)])
else:
    for i in range(1, len(dels) + (len(dels) % 2), 2):
        c += set([i for i in combinations(dels, i)])

for i in c:
    temp = dels[:]
    for j in i:
        print('-' + str(j), end=' ')
        temp.remove(j)
    for j in temp:
        print(j, end=' ')
    print()