#include <iostream>
#include <vector>
#include <algorithm>
#include <cmath>
#include <set>

using namespace std;

vector<int> p;
vector<int> r;

void pro() {
    for (int i = 2; i <= sqrt(1e9) + 1; i++) {
        int v = 0;
        for (int j = 2; j * j <= i; j++) {
            if (i % j == 0) {
                v = 1;
                break;
            }
        }
        if (v == 0) {
            p.push_back(i);
        }
    }
}

void razl(int n) {
    for (int i = 0; i < p.size() && p[i] <= n; i++) {
        while (n % p[i] == 0) {
            r.push_back(p[i]);
            n = n / p[i];
        }
    }
}

int main() {
    int n;
    cin >> n;
    pro();
    razl(n);
    set<int> v;
    for (int i = 0; i < (1 << r.size()); i++) {
        vector<int> ans(0);
        int m = 0, t = 1;
        for (int j = 0; j < r.size(); j++) {
            if ((i >> j) % 2 == 1) {
                ans.push_back(-r[j]);
                m++;
                t *= r[j];
            }
            else {  
                ans.push_back(r[j]);
            }
        }
        if (m % 2 == 0) { 
            int x = v.size();
            v.insert(t);  
            if (x != v.size()) {
                for (int j = 0; j < ans.size(); j++) {
                    cout << ans[j] << " ";
                }
                cout << "\n";
            }
        }
    }
    return 0;
}
